curl --request GET \
--url https://openplatform.gateapi.io/pay-subscription/open/v1/deduction/order/detail \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "0",
"message": "",
"data": {
"subscriptionOrderNo": "70778338049917032",
"merchantSubscriptionOrderNo": "rhys-81",
"planNo": "70778338049916930",
"paymentOrderNo": "70778338049917033",
"txHash": "0x658d3a403a4d6879dfd94229270a13e04249b50020ead15f6b7dceeb11286aee",
"merchantId": "10002",
"cryptoCurrency": "USDT",
"chain": "BSC",
"userAddress": "0xbe6D780C23E77D979Fad5FbEa249a44E5cAC0463",
"merchantAddress": "0xeEfAe46E6551E54879C80C16882f745c25361473",
"cryptoAmount": "0.01000000",
"isDiscounted": false,
"authorizeWalletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb0",
"merchantDeductNo": "",
"description": null,
"errMsg": "",
"payTime": 1773989575000,
"payStatus": "SUCCESS",
"totalFeeAmount": "0",
"totalSettleAmount": "",
"payDetails": []
},
"success": true
}Query deduction order details
curl --request GET \
--url https://openplatform.gateapi.io/pay-subscription/open/v1/deduction/order/detail \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "0",
"message": "",
"data": {
"subscriptionOrderNo": "70778338049917032",
"merchantSubscriptionOrderNo": "rhys-81",
"planNo": "70778338049916930",
"paymentOrderNo": "70778338049917033",
"txHash": "0x658d3a403a4d6879dfd94229270a13e04249b50020ead15f6b7dceeb11286aee",
"merchantId": "10002",
"cryptoCurrency": "USDT",
"chain": "BSC",
"userAddress": "0xbe6D780C23E77D979Fad5FbEa249a44E5cAC0463",
"merchantAddress": "0xeEfAe46E6551E54879C80C16882f745c25361473",
"cryptoAmount": "0.01000000",
"isDiscounted": false,
"authorizeWalletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb0",
"merchantDeductNo": "",
"description": null,
"errMsg": "",
"payTime": 1773989575000,
"payStatus": "SUCCESS",
"totalFeeAmount": "0",
"totalSettleAmount": "",
"payDetails": []
},
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /open/v1/deduction/order/detail endpoint. The full schema, parameters, and examples are rendered from the linked OpenAPI definition above.
Merchant client ID, obtained from GatePay platform application
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256 signature, used to verify request legitimacy
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
Timestamp (milliseconds), time difference with server cannot exceed 5 minutes
"1672905655498"
Random number, used to prevent replay attacks
"9578"
Order number for subscription deduction At least one of paymentOrderNo or merchantDeductNo is required
Merchant deduction reference (choose one with paymentOrderNo) At least one of paymentOrderNo or merchantDeductNo is required